<?xml version="1.0" encoding="UTF-8"?>
<web-app version="2.5" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">

  <servlet>
    <servlet-name>net.disy.ogc.wps.v_1_0_0.servlet.WpsBaseInitializationServlet</servlet-name>
    <servlet-class>net.disy.ogc.wps.v_1_0_0.servlet.WpsBaseInitializationServlet</servlet-class>
    <load-on-startup>1</load-on-startup>
  </servlet>

  <servlet>
    <servlet-name>net.disy.ogc.wps.v_1_0_0.servlet.WpsOperationsInitializationServlet</servlet-name>
    <servlet-class>net.disy.ogc.wps.v_1_0_0.servlet.WpsOperationsInitializationServlet</servlet-class>
    <init-param>
      <param-name>uri</param-name>
      <param-value>http://127.0.0.1:8080/demo/wps</param-value>
    </init-param>
    <init-param>
      <param-name>serviceIdentification</param-name>
      <param-value>/serviceIdentification.xml</param-value>
    </init-param>
    <init-param>
      <param-name>serviceProvider</param-name>
      <param-value>/serviceProvider.xml</param-value>
    </init-param>
    <init-param>
      <param-name>defaultLanguage</param-name>
      <param-value>de</param-value>
    </init-param>
    <load-on-startup>2</load-on-startup>
  </servlet>

  <servlet>
    <servlet-name>net.disy.ogc.wps.v_1_0_0.servlet.WpsConfigurationServlet</servlet-name>
    <servlet-class>net.disy.ogc.wps.v_1_0_0.servlet.WpsConfigurationServlet</servlet-class>
    <init-param>
      <param-name>processes</param-name>
      <!-- Comma-separated list of process classes -->
      <param-value>
        net.disy.ogc.wps.v_1_0_0.sample.PolygonEchoAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.PointEchoAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.LineStringEchoAnnotatedObject,
        
        net.disy.ogc.wps.v_1_0_0.sample.PolygonBoundingBoxAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.LineStringBoundingBoxAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.PointBoundingBoxAnnotatedObject,
        
        net.disy.ogc.wps.v_1_0_0.sample.LiteralEchoAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.BufferGeometryAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.CalculateAreaAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyComplexWpsProcessAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyLinkNewAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyLinkReplaceAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyMessageInfoAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyMessageErrorAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyBoundingBoxAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyViewportAnnotatedObject,
        net.disy.ogc.wps.v_1_0_0.sample.DummyIoExceptionThrowingProcess,
        net.disy.ogc.wps.v_1_0_0.sample.DummyOwsExceptionThrowingProcess,
        net.disy.ogc.wps.v_1_0_0.sample.DummyExceptionAnnotatedObject
      </param-value>
   </init-param>
    <load-on-startup>2</load-on-startup>
  </servlet>

  <servlet>
    <servlet-name>net.disy.ogc.wps.v_1_0_0.servlet.WpsOperationsServlet</servlet-name>
    <servlet-class>net.disy.ogc.wps.v_1_0_0.servlet.WpsOperationsServlet</servlet-class>
    <load-on-startup>2</load-on-startup>
  </servlet>

  <servlet>
    <servlet-name>org.directwebremoting.servlet.DwrServlet</servlet-name>
    <servlet-class>org.directwebremoting.servlet.DwrServlet</servlet-class>
    <init-param>
      <param-name>debug</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>crossDomainSessionSecurity</param-name>
      <param-value>false</param-value>
    </init-param>
    <init-param>
      <description>
        Below you'll find a list of absolute classpath classes seperated by ",".
        All these classes are
        accessible through our DWR servlet. For each Java class a
        JavaScript client will be created. Please be adviced
        that you have to use dwr annotation @RemoteProxy
        for making your
        java class available.
      </description>
      <param-name>classes</param-name>
       <param-value>
        net.disy.ogc.wps.v_1_0_0.dwr.WpsOperationsController,
        net.disy.ogc.gml.v_3_1_1.dwr.GmlGeometryController
      </param-value>
    </init-param>
    <init-param>
      <param-name>allowScriptTagRemoting</param-name>
      <param-value>true</param-value>
    </init-param>
  </servlet>

  <servlet-mapping>
    <servlet-name>net.disy.ogc.wps.v_1_0_0.servlet.WpsOperationsServlet</servlet-name>
    <url-pattern>/wps</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>org.directwebremoting.servlet.DwrServlet</servlet-name>
    <url-pattern>/dwr/*</url-pattern>
  </servlet-mapping>

</web-app>